Subject: Re: mapping root directory to SystemDrive / CurrentDrive
From: Gernot Hillier <[email-masked]>
To: [email-masked]
Date: Tue, 3 Aug 2004 13:17:19 +0200

Hi Corinna!

Thx for your quick reply!

Am Dienstag, 3. August 2004 12:51 schrieb Corinna Vinschen:
> > And anyway, I assume that it is a bug that both system calls behave
> > different, right?
>
> That's a result of using NtCreateFile instead of CreateFile.  Native NT
> calls behave slightly different than Win32 calls.  However, as you said,
> you're relying on undocumented behaviour.  

Ok, so there's no easy way to switch to the old behaviour. Bad for us, but 
well - our problem... :-(

But still there's one open question for me: are there plans to change the 
behaviour of stat(), too?

Because I think it's not good when in such a situation open("/a/b") refers to 
another file than stat("/a/b").

I can imagine quite some problems caused in Linux programs by such behaviour 
of the system...

> I'm sorry but we won't revert to Win32 calls just to keep an undocumented
> behaviour running. 

Hmmm, is there any other way how one can use two different Cygwin 
installations in parallel beside using no mounts?

-- 
Mit freundlichen Grüßen,

Gernot Hillier
CT SE 2
Siemens AG, Mch P

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/